Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoTool Class Reference
GoSdk/Tools

## Description

Represents the base tool class.

Inheritance diagram for GoTool:

## Public Member Functions
kStatus | GoTool_AddExtMeasurement (GoTool tool, kType type, kBool isFilterable, GoExtMeasurement *measurement)
kStatus | GoTool_AddFeatureOutput (GoTool tool, kType type, GoFeature *featureOutput)
| Adds the given feature output to the tool set. More...
kStatus | GoTool_AddMeasurement (GoTool tool, kType type, kBool isFilterable, GoMeasurement *measurement)
| Adds the given measurement to the tool set. More...
kStatus | GoTool_ClearFeatureOutputs (GoTool tool)
| Removes all feature outputs for the given tool. More...
kStatus | GoTool_ClearMeasurements (GoTool tool)
| Removes all measurements for the given tool. More...
GoFeature | GoTool_FeatureOutputAt (GoTool tool, kSize index)
| Retrieves the feature output at the given index. More...
kSize | GoTool_FeatureOutputCount (GoTool tool)
| Returns the feature output count. More...
GoFeature | GoTool_FindFeatureOutputByType (GoTool tool, GoFeatureType type)
| Retrieves the instance of a feature output for a given enumeration type. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
k32s | GoTool_Id (GoTool tool)
| Retrieves the id of the instance of the tool. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_RemoveFeatureOutput (GoTool tool, kSize index)
| Removes a feature output at a given index. More...
kStatus | GoTool_RemoveMeasurement (GoTool tool, kSize index)
| Removes a measurement at a given index. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...
kStatus | GoToolUtil_ParseStreamOptions (GoTool tool, kXml xml, kXmlItem item, kArrayList list)
| Parses stream options for the given tool. More...

The documentation for this class was generated from the following file:

- Tools/GoTool.h